%global debug_package %{nil}
%global python3_pkgversion 3.11
%global pypi_name jq
%global pypi_version 1.6.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        jq is a lightweight and flexible JSON processor.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-2-Clause
URL:            https://github.com/mwilliamson/jq.py
Source:         %{pypi_source}


BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 43
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros



# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This project contains Python bindings for jq 1.7.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       jq >= 1.7.0
Requires:       jq <= 1.8.0

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files '*' +auto

%check
%pytest tests/jq_tests.py


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}.cpython-311-x86_64-linux-gnu.so
%{python3_sitearch}/%{pypi_name}-%{pypi_version}.dist-info



%changelog
* Wed Feb 26 2025 Carlos Heiras <carlos.heiras@oracle.com> - 1.6.0-1
- Initial release
